Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.diff/1 1.15.22 42
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.diff
Class DiffVisualizer

    java.lang.Object
      org.netbeans.spi.diff.DiffVisualizer

    public abstract class DiffVisualizer

extends Object

This class represents a diff visualizer. It's used as a presenter of a visual representation of the source differences to the user.

The registered Diff Visualizers can be obtained via `Lookup` (e.g. you can get the default diff provider by `Lookup.getDefault().lookup(DiffVisualizer.class)`)

Constructor Summary
`DiffVisualizer()`

Method Summary
`DiffView` | `createDiff(Difference[] diffs, StreamSource s1, StreamSource s2)` Creates single-window diff component that does not include any navigation controls and is controlled programatically via the returned DiffView interface.
`abstract Component` | `createView(Difference[] diffs, String name1, String title1, Reader r1, String name2, String title2, Reader r2, String MIMEType)` Show the visual representation of the diff between two sources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiffVisualizer

    public DiffVisualizer()

Method Detail

### createView

    public abstract Component createView(Difference[] diffs,
                                         String name1,
                                         String title1,
                                         Reader r1,
                                         String name2,
                                         String title2,
                                         Reader r2,
                                         String MIMEType)
                                  throws IOException

  Show the visual representation of the diff between two sources.

  Parameters:
    `diffs` - The list of differences.
    `name1` - the name of the first source
    `title1` - the title of the first source
    `r1` - the first source
    `name2` - the name of the second source
    `title2` - the title of the second source
    `r2` - the second resource compared with the first one.
    `MIMEType` - the mime type of these sources
  Returns:
    The Component representing the diff visual representation or null, when the representation is outside the IDE.
  Throws:
    `IOException` - when the reading from input streams fails.

### createDiff

    public DiffView createDiff(Difference[] diffs,
                               StreamSource s1,
                               StreamSource s2)
                        throws IOException

  Creates single-window diff component that does not include any navigation controls and is controlled programatically via the returned DiffView interface.

  The StreamSource can be used to save the source content if it's modified in the view. The view should not allow source modification if StreamSource.createWriter() returns `null`.

  Parameters:
    `diffs` - The list of differences.
    `s1` - the first source
    `s2` - the second source
  Returns:
    DiffView controller interface
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.diff/1 1.15.22 42
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.